// =====================================================================
/*!
//
//  \file TReadoutSpecified.hh
//  \brief This file contains the TReadoutSpecified class.
//  \author Go IWAI <goiwai@users.sourceforge.jp>
//
//  $Id: TReadoutSpecified.hh,v 1.6 2004/03/07 10:30:33 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TReadoutSpecified.hh,v $
//  Revision 1.6  2004/03/07 10:30:33  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.5  2004/01/19 21:09:42  goiwai
//  プリプロセッサの接頭辞をCLDAQ__に変更しました.
//
//  Revision 1.4  2003/11/03 08:35:14  goiwai
//  Doxygen用のタグとコメントをうちこんでいく試みを開始しました.
//
//  Revision 1.3  2003/10/06 16:39:00  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:20:11  goiwai
//  ファイルにコミットログをつけることにしました.
//
*/
// =====================================================================
#ifndef CLDAQ__TREADOUTSPECIFIED_HH
#define CLDAQ__TREADOUTSPECIFIED_HH

#include "Tglobals.h"

class TReadoutList;


/*!
// \example
//
// If example code exists.
//
*/

/*!
// \class TReadoutSpecified
// \brief This is the TReadoutSpecified class.
// \author Go IWAI <goiwai@users.sourceforge.jp>
//
// The TReadoutSpecified class detail description.
// Write it down ASAP!
//
// \todo None?
// \bug None?
// \ingroup ReadoutCategory
*/
class TReadoutSpecified
{

  private:
    Tstring theListID;
    TReadoutList* theReadoutList;

  public:
    TReadoutSpecified();
    TReadoutSpecified( const Tstring& id, TReadoutList* list );
    TReadoutSpecified( const TReadoutSpecified& right );
    ~TReadoutSpecified();

  public:
    const TReadoutSpecified& operator=( const TReadoutSpecified& right );
    Tbool operator==( const TReadoutSpecified& right ) const;
    Tbool operator!=( const TReadoutSpecified& right ) const;
    friend Tostream& operator<<( Tostream& tos, const TReadoutSpecified& right );

  public:
    const Tstring& GetListID() const;
    Tstring& GetListID();
    TReadoutList* GetReadoutList() const;
    Tvoid SetListID( const Tstring& id );
    Tvoid SetReadoutList( TReadoutList* list );

#ifdef __CLDAQ_ROOT_DLL
    ClassDef(TReadoutSpecified,0)
#endif

};

inline const Tstring& TReadoutSpecified::GetListID() const
{
  return theListID;
}

inline Tstring& TReadoutSpecified::GetListID()
{
  return theListID;
}

inline TReadoutList* TReadoutSpecified::GetReadoutList() const
{
  return theReadoutList;
}

inline Tvoid TReadoutSpecified::SetListID( const Tstring& id )
{
  theListID = id;
  return;
}

inline Tvoid TReadoutSpecified::SetReadoutList( TReadoutList* list )
{
  theReadoutList = list;
  return;
}

#endif
